{% load static i18n compress%}<!DOCTYPE html>
{% get_current_language as LANGUAGE_CODE %}
<html lang="{{ LANGUAGE_CODE }}">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>{% block title %}Doxilog{% endblock title %}</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Doxilog - Analysis of the difficulty of literary texts">
    <meta name="author" content="Association Doxilog">

    <link rel="icon" href="{% static 'images/favicons/favicon.ico' %}">

    {% block css %}
    <!-- Latest compiled and minified Bootstrap CSS -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap/5.2.3/css/bootstrap.min.css" integrity="sha512-SbiR/eusphKoMVVXysTKG/7VseWii+Y3FdHrt0EpKgpToZeemhqHeZeLWLhJutz/2ut2Vw1uQEj2MbRF+TVBUA==" crossorigin="anonymous" referrerpolicy="no-referrer" />
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css"
    <!-- Your stuff: Third-party CSS libraries go here -->

    <!-- This file stores project-specific CSS -->
    {% compress css %}
    <link href="{% static 'css/project.css' %}" rel="stylesheet">
    {% endcompress %}
    {% endblock %}
    <!-- Le javascript
    ================================================== -->
    {# Placed at the top of the document so pages load faster with defer #}
    {% block javascript %}
      <!-- Jquery -->
      <script src="https://code.jquery.com/jquery-3.6.0.min.js"
      <!-- Bootstrap JS -->
      <script defer src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap/5.2.3/js/bootstrap.min.js" integrity="sha512-1/RvZTcCDEUjY/CypiMz+iqqtaoQfAITmNSJY17Myp4Ms5mdxPS5UV7iOfdZoxcGhzFbOm6sntTKJppjvuhg4g==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
      <!-- Your stuff: Third-party javascript libraries go here -->
      <script defer src="https://unpkg.com/@popperjs/core@2"></script>
      <script defer src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js"></script>
      <!-- place project specific Javascript in this file -->
      {% compress js %}
      <script defer src="{% static 'js/project.js' %}"></script>
      {% endcompress %}

    {% endblock javascript %}

  </head>

  <body>

    <div class="mb-1">
      <nav class="navbar navbar-expand-md navbar-light bg-light">
        <div class="container-fluid">
          <button class="navbar-toggler navbar-toggler-right" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <a class="navbar-brand" href="{% url 'nouslisons:text_analyse' %}">Doxilog</a>

          <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav">
              <li class="nav-item dropdown">
                {% get_current_language as LANGUAGE_CODE %}
                {% get_available_languages as LANGUAGES %}
                {% get_language_info_list for LANGUAGES as languages %}
                <a class="nav-link dropdown-toggle" href="#" data-bs-toggle="dropdown" aria-expanded="false">{{ LANGUAGE_CODE|language_name_local|capfirst }}</a>
                <ul class="dropdown-menu dropdown-menu-end" id="language-list">
                  {% for language in languages %}
                  <li><a class="dropdown-item" href="{% url 'set_language' %}" data-language-code="{{ language.code }}">{{ language.name_local|capfirst }}</a></li>
                  {% endfor %}
                </ul>
              </li>
            </ul>
          </div>
        </div>
      </nav>
    </div>

    <div class="container">

      {% if messages %}
        {% for message in messages %}
          <div class="alert alert-dismissible {% if message.tags %}alert-{{ message.tags }}{% endif %}">
            {{ message }}
            <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
          </div>
        {% endfor %}
      {% endif %}

      {% block content %}
        <p>Use this document as a way to quick start any new project.</p>
      {% endblock content %}

    </div> <!-- /container -->

    {% block modal %}{% endblock modal %}

    <script>
      /** Change language selector sending POST request instead of GET **/
      const csrftoken = "{{ csrf_token }}";
      const languageList = document.querySelector('#language-list');

      languageList.addEventListener('click', function(event) {
        event.preventDefault();
        const target = event.target;
        const url = target.getAttribute('href');
        const languageCode = target.dataset.languageCode;
        const xhr = new XMLHttpRequest();
        xhr.open('POST', url, true);
        xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
        xhr.setRequestHeader('X-CSRFToken', csrftoken);
        xhr.onreadystatechange = function() {
          if (xhr.readyState === 4 && xhr.status === 200) {
            sessionStorage.setItem('selected_language', languageCode);
            console.log('Language code set to: ' + languageCode);
            reloadPage();
          }
        };
        xhr.send(`language=${languageCode}`);
      });

      function reloadPage() {
        location.reload();
      }
    </script>

    {% block inline_javascript %}
    {% comment %}
    Script tags with only code, no src (defer by default). To run
    with a "defer" so that you run inline code:
    <script>
      window.addEventListener('DOMContentLoaded', () => {/* Run whatever you want */});
    </script>
    {% endcomment %}
    {% endblock inline_javascript %}
  </body>
</html>
